GpgFrontend::UI::FileReadTask Class Reference
Inheritance diagram for GpgFrontend::UI::FileReadTask:
Collaboration diagram for GpgFrontend::UI::FileReadTask:

## Signals

void | SignalFileBytesRead (QByteArray bytes)
void | SignalFileBytesReadEnd ()
void | SignalFileBytesReadNext ()
Signals inherited from GpgFrontend::Thread::Task
void | SignalTaskFinished ()
void | SignalTaskPostFinishedDone ()

## Public Member Functions

| FileReadTask (std::string path)
void | Run () override
| Run - run the task. More...
Public Member Functions inherited from GpgFrontend::Thread::Task
| Task ()
| Construct a new Task object. More...
| Task (TaskCallback callback, DataObjectPtr data_object=nullptr)
| Construct a new Task object. More...
| Task (TaskRunnable runnable, TaskCallback callback=[](int, std::shared_ptr< DataObject >) {}, DataObjectPtr data=nullptr)
| Construct a new Task object. More...
virtual | ~Task () override
| Destroy the Task object. More...
std::string | GetUUID () const

## Private Slots

void | read_bytes ()

## Private Attributes

std::filesystem::path | read_file_path_
QFile | target_file_
const size_t | buffer_size_ = 4096
QEventLoop | looper

## Additional Inherited Members

Public Types inherited from GpgFrontend::Thread::Task
using | DataObjectPtr = std::shared_ptr< DataObject >
using | TaskRunnable = std::function< int(DataObjectPtr)>
using | TaskCallback = std::function< void(int, DataObjectPtr)>
Protected Member Functions inherited from GpgFrontend::Thread::Task
void | SetFinishAfterRun (bool finish_after_run)
| Set the Finish After Run object. More...
void | SetRTN (int rtn)

## Member Function Documentation

## Run()

void GpgFrontend::UI::FileReadTask::Run | ( |  | ) |

overridevirtual

Run - run the task.

Reimplemented from GpgFrontend::Thread::Task.

References GpgFrontend::Thread::Task::SetFinishAfterRun().

The documentation for this class was generated from the following files:

- src/core/thread/FileReadTask.h
- src/core/thread/FileReadTask.cpp